Themes are full of deprecated functions.

The BP-Social and Holder BuddyPress themes are full of deprecated functions. Some like get_settings and link_pages have been deprecated since WordPress 2.1

I really expected the coding quality to be much higher from a premium service as yours. Please advise if the themes will be corrected or if I can get a refund. Thanks